#include <stdio.h>
#include <stdlib.h>

#define INIT_VALUE 0
#define MAX_INIT -1000
#define MIN_INIT 1000
#define PI 3.1415

// GLOBAL VARIABLES
int mugX 	= INIT_VALUE,
    mugY	= INIT_VALUE,
    mugRadius	= INIT_VALUE,
    coaster_ax	= INIT_VALUE,
    coaster_ay	= INIT_VALUE,
    coaster_bx	= INIT_VALUE,
    coaster_by	= INIT_VALUE;

void parse_input()
{
	scanf("%d %d %d %d %d %d %d", &mugX, &mugY, &mugRadius, &coaster_ax, &coaster_ay, &coaster_bx, &coaster_by);
}

void print_input()
{
	printf("mugX = %d\n", mugX);
	printf("mugY = %d\n", mugY);
	printf("mugRadius = %d\n", mugRadius);
	printf("coaster_ax = %d\n", coaster_ax);
	printf("coaster_ay = %d\n", coaster_ay);
	printf("coaster_bx = %d\n", coaster_bx);
	printf("coaster_by = %d\n", coaster_by);
}

float calc_mug_surface()
{
	float result = PI * mugRadius * mugRadius;
	
	return result;
}

float calc_coaster_surface()
{
	float result,
	      coaster_length_x,
	      coaster_length_y;

	coaster_length_x = coaster_ax > coaster_bx ? (coaster_ax - coaster_bx) : (coaster_bx - coaster_ax);
	coaster_length_y = coaster_ay > coaster_by ? (coaster_ay - coaster_by) : (coaster_by - coaster_ay);

	result = coaster_length_x * coaster_length_y;

	return result;
}

void sweep_surface()
{
	// FIND COORDINATES EXTREMES
	int lowestCoordinate_x 	= MIN_INIT,
	    lowestCoordinate_y	= MIN_INIT,
	    maxCoordinate_x	= MAX_INIT,
	    maxCoordinate_y	= MAX_INIT;

	if (mugX < lowestCoordinate_x)
		lowestCoordinate_x = mugX;
	if (coaster_ax < lowestCoordinate_x)
		lowestCoordinate_x = coaster_ax;
	if (coaster_bx < lowestCoordinate_x)
		lowestCoordinate_x = coaster_bx;

	if (mugY < lowestCoordinate_y)
		lowestCoordinate_y = mugY;
	if (coaster_ay < lowestCoordinate_y)
		lowestCoordinate_y = coaster_ay;
	if (coaster_by < lowestCoordinate_y)
		lowestCoordinate_y = coaster_by;

	maxCoordinate_x = coaster_ax > maxCoordinate_x ? coaster_ax : maxCoordinate_x;
	maxCoordinate_x = mugX > maxCoordinate_x ? mugX : maxCoordinate_x;
	maxCoordinate_x = coaster_bx > maxCoordinate_x ? coaster_bx : maxCoordinate_x;

	maxCoordinate_y = coaster_ay > maxCoordinate_y ? coaster_ay : maxCoordinate_y;
	maxCoordinate_y = mugY > maxCoordinate_y ? mugY : maxCoordinate_y;
	maxCoordinate_y = coaster_by > maxCoordinate_y ? coaster_by : maxCoordinate_y;

	// END
	
	if (calc_coaster_surface() > calc_mug_surface())
	{
		// 
	}
	else
	{
		
	}

}

int main(int argc, char** argv)
{
	parse_input();

	printf("Mug surface: %.4f\n", calc_mug_surface());
	printf("Coaster surface: %.4f\n", calc_coaster_surface());

	return EXIT_SUCCESS;
}
